Move all to deprecated folder.

This commit is contained in:
2016-11-16 21:57:57 +01:00
parent 01738a7684
commit 05de7d6c04
9777 changed files with 0 additions and 0 deletions

View File

@@ -0,0 +1,29 @@
Makefile: fix rules
In a Makefile, recipes should follow rules, there can not be variable
definitions in-between.
Although make-3.81 is happy about it, make-4.0 (and probably 3.82 too)
do whine loudly.
Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr>
diff -durN smstools3-3.1.15.orig/src/Makefile smstools3-3.1.15/src/Makefile
--- smstools3-3.1.15.orig/src/Makefile 2010-09-21 13:29:14.000000000 +0200
+++ smstools3-3.1.15/src/Makefile 2014-09-01 22:27:02.719939329 +0200
@@ -39,14 +39,13 @@
all: smsd
-smsd: smsd.c extras.o locking.o cfgfile.o logging.o alarm.o smsd_cfg.o charset.o stats.o blacklist.o whitelist.o modeminit.o pdu.o
-
ifneq (,$(findstring SOLARIS,$(CFLAGS)))
ifeq (,$(findstring DISABLE_INET_SOCKET,$(CFLAGS)))
override LFLAGS += -lsocket -lnsl
endif
endif
+smsd: smsd.c extras.o locking.o cfgfile.o logging.o alarm.o smsd_cfg.o charset.o stats.o blacklist.o whitelist.o modeminit.o pdu.o
ifneq (,$(findstring NOSTATS,$(CFLAGS)))
$(CC) $(CFLAGS) -o $@ $^ $(LFLAGS)
else

View File

@@ -0,0 +1,26 @@
config BR2_PACKAGE_SMSTOOLS3
bool "smstools3"
depends on BR2_USE_MMU # fork()
depends on BR2_USE_WCHAR
depends on BR2_TOOLCHAIN_HAS_THREADS
help
The SMS Server Tools 3 is a SMS Gateway software which can send and
receive short messages through GSM modems and mobile phones.
http://smstools3.kekekasvi.com/
if BR2_PACKAGE_SMSTOOLS3
config BR2_PACKAGE_SMSTOOLS3_NB_MODEMS
int "Number of modems to support"
default 1
help
To reduce memory footprint of SMS Server Tools, you can specify the
exact number of modems connected to your board. By default only 1
modem is used.
endif
comment "smstools3 needs a toolchain w/ wchar, threads"
depends on !BR2_USE_WCHAR || !BR2_TOOLCHAIN_HAS_THREADS
depends on BR2_USE_MMU

View File

@@ -0,0 +1,43 @@
#!/bin/sh
#
# Starts the SMS Server Tools 3
#
NAME=smsd
DAEMON=/usr/bin/$NAME
PIDFILE=/var/run/$NAME.pid
SPOOL=/var/spool/sms
start()
{
printf "Starting $NAME: "
mkdir -p $SPOOL/outgoing
mkdir -p $SPOOL/incoming
mkdir -p $SPOOL/checked
start-stop-daemon -S -q -p $PIDFILE --exec $DAEMON -- -c /etc/smsd.conf && echo "OK" || echo "Failed"
}
stop()
{
printf "Stopping $NAME: "
start-stop-daemon -K -q -p $PIDFILE && echo "OK" || echo "Failed"
rm -f $PIDFILE
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart|reload)
stop
start
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac
exit $?

View File

@@ -0,0 +1,2 @@
# Locally calculated
sha256 ed00ffaeaa312a5b4f969f4e97a64603a866bbe16e393ea02f5bf05234814d59 smstools3-3.1.15.tar.gz

View File

@@ -0,0 +1,34 @@
################################################################################
#
# smstools3
#
################################################################################
SMSTOOLS3_VERSION = 3.1.15
SMSTOOLS3_SITE = http://smstools3.kekekasvi.com/packages
SMSTOOLS3_LICENSE = GPLv2+
SMSTOOLS3_LICENSE_FILES = doc/license.html LICENSE
SMSTOOLS3_CFLAGS = $(TARGET_CFLAGS)
SMSTOOLS3_CFLAGS += -D NUMBER_OF_MODEMS=$(BR2_PACKAGE_SMSTOOLS3_NB_MODEMS)
SMSTOOLS3_CFLAGS += -D NOSTATS
define SMSTOOLS3_BUILD_CMDS
$(MAKE) CC="$(TARGET_CC)" CFLAGS="$(SMSTOOLS3_CFLAGS)" -C $(@D)
endef
define SMSTOOLS3_INSTALL_INIT_SYSV
$(INSTALL) -m 0755 -D package/smstools3/S50smsd \
$(TARGET_DIR)/etc/init.d/S50smsd
endef
define SMSTOOLS3_INSTALL_TARGET_CMDS
$(INSTALL) -m 0755 -D $(@D)/src/smsd \
$(TARGET_DIR)/usr/bin/smsd
$(INSTALL) -m 0755 -D $(@D)/scripts/sendsms \
$(TARGET_DIR)/usr/bin/sendsms
$(INSTALL) -m 0644 -D $(@D)/examples/smsd.conf.easy \
$(TARGET_DIR)/etc/smsd.conf
endef
$(eval $(generic-package))